#include <stdio.h>
#include <stdint.h>
#include <stdlib.h>
#include <time.h>
#include <unistd.h>
#include "simulatorNetworkInterface/simulatorNetworkInterface.h"
#include "statistics/statistics.h"
#include <memory.h>
#include "storage/storage.h"
#include "search/search.h"
#include "controlPanel/controlPanel.h"

void generateTestData() {
    uint16_t dataMeas[] = {1800, 1800, 1750, 1750, 1700, 1650, 1650, 1650, 1550, 1550, 1550, 1550, 1600, 1600};
    uint16_t dataTime[] = {10, 20, 30, 40, 50, 60, 70, 80, 90, 100, 110, 120, 130, 140};
    dataPoint p;
    p.DATA = 0;
    for (int i = 0; i < 14; i++) {
        p.data.time = dataTime[i];
        p.data.meas = dataMeas[i];
        storageAddDatapoint(&p, 23);
    }
}

int main() {
    controlPanelStart();
    return 0;
}