#ifndef PREVENTIONSYSTEM_SEARCH_PI_H
#define PREVENTIONSYSTEM_SEARCH_PI_H

#include "search.h"
#include "../storage/storage.h"

#ifdef __cplusplus
extern "C" {
#endif

double cellValue(uint32_t cell);
double datapointValue(dataPoint *p, uint32_t cell, uint8_t isNewCell);
double totalDerivative(uint32_t cell);
double der3(uint32_t cell);
int16_t absoluteChange(uint32_t cell);
void considerNewDatapoint(dataPoint *p, uint32_t cell);

#ifdef __cplusplus
}
#endif


#endif //PREVENTIONSYSTEM_SEARCH_PI_H
