import numpy as np
import os
import csv

if os.path.getsize("data.npy") > 0:
    historyMovingBits = np.load("data.npy")
else:
    exit(3)

movingBits = historyMovingBits.item()
with open('data.csv', 'w', newline='') as csvfile:
    wr = csv.writer(csvfile, delimiter=',',
                            quotechar='|', quoting=csv.QUOTE_MINIMAL)
    for bit in movingBits:
        movingBits[bit] = np.insert(movingBits[bit], 0, bit)
        wr.writerow(movingBits[bit])
