import matplotlib.animation as animation
import matplotlib.pyplot as plt
import numpy as np
import os

plt.style.use('dark_background')

def animateMovingBits(i):
    global movingBitAx, movingBitsFig
    if os.path.getsize("data.npy") > 0:
        historyMovingBits = np.load("data.npy")
    else:
        return
    movingBitAx.clear()
    movingBits = historyMovingBits.item()
    for bit in movingBits:
        movingBitAx.plot(historyMovingBits.item()[bit], label=bit)
    movingBitAx.legend()

global movingBitAx, movingBitsFig
movingBitsFig = plt.figure()
movingBitAx = movingBitsFig.add_subplot(1, 1, 1)
ani = animation.FuncAnimation(movingBitsFig, animateMovingBits, interval=1000)
plt.show()