#ifndef PREVENTIONSYSTEM_SIMULATORNETWORKINTERFACE_H
#define PREVENTIONSYSTEM_SIMULATORNETWORKINTERFACE_H
#include <stdint.h>

void simulatorConnect();

void simulatorStart();

void simulatorProgressTime(int n);

void simulatorRequestWord(uint16_t word, uint32_t *data, uint16_t dataLength);

uint16_t simulatorRequestTime();

void setSimNmb(int simNmb);

int simulatorSweep(uint16_t threshold, uint32_t *data, uint16_t dataLength);

void simulatorRqstBit(uint32_t bit, uint32_t *data);

void simulatorProgram(uint32_t bit);

#endif //PREVENTIONSYSTEM_SIMULATORNETWORKINTERFACE_H
