#ifndef PREVENTIONSYSTEM_STATISTICS_H
#define PREVENTIONSYSTEM_STATISTICS_H

#include <unistd.h>
#include <stdint.h>


#ifdef __cplusplus
extern "C" {
#endif

double calculateMeanCentralLimit(uint32_t *data, uint32_t size, uint32_t confidence);

double calculateMeanCentralLimitFlash(uint32_t nmbOfWords);

double temperatureError(uint32_t confidence);


#ifdef __cplusplus
}
#endif

#endif //PREVENTIONSYSTEM_STATISTICS_H
